const { DataTypes } = require('sequelize');
const { sequelize } = require('../config/db');

const PetBreed = sequelize.define('PetBreed', {
  id: {
    type: DataTypes.INTEGER,
    autoIncrement: true,
    primaryKey: true,
  },
  speciesId: {
    type: DataTypes.INTEGER,
    allowNull: false,
    comment: 'Reference to PetSpecies',
  },
  name: {
    type: DataTypes.STRING,
    allowNull: false,
    comment: 'e.g., 말티즈, 푸들',
  },
}, {
  timestamps: false,
});

module.exports = PetBreed;
